cascading.management

## Class CascadingServices.NullDocumentService

- java.lang.Object
- - cascading.management.CascadingServices.NullDocumentService

All Implemented Interfaces:
  DocumentService, CascadingService

Enclosing class:
  CascadingServices

    public static class CascadingServices.NullDocumentService
    extends java.lang.Object
    implements DocumentService

Class NullDocumentService provides a null implementation.

### Field Summary

### Fields inherited from interface cascading.management.DocumentService

`DOCUMENT_SERVICE_CLASS_PROPERTY`

### Constructor Summary

Constructors
Constructor and Description
`CascadingServices.NullDocumentService()`

### Method Summary

Methods
`java.util.List<java.util.Map<java.lang.String,java.lang.Object>>` `find(java.lang.String type, java.lang.String[] query)`
`java.util.Map` `get(java.lang.String type, java.lang.String key)`
`boolean` `isEnabled()` Returns true if this service has been enabled.
`void` `put(java.lang.String key, java.lang.Object object)`
`void` `put(java.lang.String type, java.lang.String key, java.lang.Object object)`
`void` `setProperties(java.util.Map<java.lang.Object,java.lang.Object> properties)`
`void` `startService()` May be called more than once, but only the first invocation will start the service.
`void` `stopService()` May be called more than once, but only the first invocation will stop the service.
`boolean` `supportsFind()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CascadingServices.NullDocumentService

    public CascadingServices.NullDocumentService()

### Method Detail

#### isEnabled

    public boolean isEnabled()

Description copied from interface: `CascadingService`
Returns true if this service has been enabled.

Specified by:
  `isEnabled` in interface `CascadingService`
Returns:
  boolean

#### setProperties

    public void setProperties(java.util.Map<java.lang.Object,java.lang.Object> properties)

Specified by:
  `setProperties` in interface `CascadingService`

#### startService

    public void startService()

Description copied from interface: `CascadingService`
May be called more than once, but only the first invocation will start the service.

Specified by:
  `startService` in interface `CascadingService`

#### stopService

    public void stopService()

Description copied from interface: `CascadingService`
May be called more than once, but only the first invocation will stop the service.

Specified by:
  `stopService` in interface `CascadingService`

#### put

    public void put(java.lang.String key,
           java.lang.Object object)

Specified by:
  `put` in interface `DocumentService`

#### put

    public void put(java.lang.String type,
           java.lang.String key,
           java.lang.Object object)

Specified by:
  `put` in interface `DocumentService`

#### get

    public java.util.Map get(java.lang.String type,
                    java.lang.String key)

Specified by:
  `get` in interface `DocumentService`

#### supportsFind

    public boolean supportsFind()

Specified by:
  `supportsFind` in interface `DocumentService`

#### find

    public java.util.List<java.util.Map<java.lang.String,java.lang.Object>> find(java.lang.String type,
                                                                        java.lang.String[] query)

Specified by:
  `find` in interface `DocumentService`